Bug 427012 - system-config-display can't create 1920x1200 display for radeon 9200
system-config-display can't create 1920x1200 display for radeon 9200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-29 19:07 EST by Michael De La Rue
Modified: 2008-06-16 22:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:58:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf which works. (1.22 KB, text/plain)
2007-12-29 19:07 EST, Michael De La Rue
no flags Details
patch to default system xorg.conf to permit high resolution at full colour (784 bytes, text/plain)
2007-12-29 19:11 EST, Michael De La Rue
no flags Details
Xorg.0.log from server running in full resolution / full colour (121.82 KB, text/plain)
2007-12-29 19:33 EST, Michael De La Rue
no flags Details
Xorg.log.baseconfig (45.62 KB, text/plain)
2008-01-21 15:09 EST, Michael De La Rue
no flags Details
xorg.conf created when changing nothing during system-config-display (as last log) (588 bytes, text/plain)
2008-01-21 15:10 EST, Michael De La Rue
no flags Details
Mode selection dialog during X configuration. (38.85 KB, image/png)
2008-01-21 15:35 EST, Michael De La Rue
no flags Details
Log file from running after generic-lcd configuration (45.57 KB, application/octet-stream)
2008-01-21 15:38 EST, Michael De La Rue
no flags Details

  None (edit)
Description Michael De La Rue 2007-12-29 19:07:54 EST
Description of problem:
system-config-display fails to create a full 1920x1200x 24bit display 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. switch to runlevel 3
2. run system-config-display
3. select generic 1920x1200 display
4. select millions of colors
5. look at menu of display resolutions
  
Actual results:
the highest available resolution is 1920x1050

Expected results:
the highest available resolution is 1900x1200

Additional info:
It seems that the clock frequency required is just higher than the card can
deliver.  Adding 
   Option	    "ReducedBlanking"
to the "Monitor" section of xorg.conf allows the higher resolution modes to be
used.
Comment 1 Michael De La Rue 2007-12-29 19:07:55 EST
Created attachment 290536 [details]
xorg.conf which works.
Comment 2 Michael De La Rue 2007-12-29 19:11:14 EST
Created attachment 290537 [details]
patch to default system xorg.conf to permit high resolution at full colour 

this patch takes the system generated xorg.conf (created with "thousands of
colours") and turns it into my better version which delivers full resolution
even with full colour.
Comment 3 Michael De La Rue 2007-12-29 19:33:24 EST
Created attachment 290538 [details]
Xorg.0.log from server running in full resolution / full colour
Comment 4 Adam Jackson 2008-01-21 11:56:53 EST
That's quite odd.  We should detect digital displays and enable reduced blanking
automatically.  Can you attach an X log from running without your xorg.conf
modifications, so I can see how it fails?
Comment 5 Michael De La Rue 2008-01-21 15:09:26 EST
Created attachment 292404 [details]
Xorg.log.baseconfig

I went carefully through system-config-display step by step this time.	First I
tried it without changing anything.  During configuration it offered me only
the choice of "800x600" and "640x480" resolutions.  However; when I started it
up xrandr gave the following 

Screen 0: minimum 640 x 480, current 1920 x 1200, maximum 1920 x 1200
default connected 1920x1200+0+0 0mm x 0mm
   1600x1200	  60.0	
   1920x1200	  60.0* 
   1680x1050	  60.0	
   1280x1024	  60.0	
   1024x768	  60.0	
   800x600	  60.0	
   640x480	  60.0	

By default the screen came up in 1600x1200 and scrolled.   The bug here really
is a) that system-config-display doesn't tell about the modes that it actually
later finds and b) that it doesn't come up in the highest mode 1900x1200 by
default.
Comment 6 Michael De La Rue 2008-01-21 15:10:22 EST
Created attachment 292405 [details]
xorg.conf created when changing nothing during system-config-display (as last log)
Comment 7 Michael De La Rue 2008-01-21 15:35:55 EST
Created attachment 292410 [details]
Mode selection dialog during X configuration.  

What I have realised I have done is select "generic LCD / 1900x1200 Panel" and
then the 1900x1080 size comes up during mode selection.  In fact, if I follow
through and accept this mode, the same thing happens as previously.  The screen
comes up in 1600x1200 but is capable of 1900x1200 when switched using
ctrl-alt-keypad-minus.	See the following xrandr output:

Screen 0: minimum 640 x 480, current 1920 x 1200, maximum 1920 x 1200
default connected 1920x1200+0+0 0mm x 0mm
   1600x1200	  60.0	
   1920x1200	  60.0* 
   1680x1050	  60.0	
   1280x1024	  60.0	
   1024x768	  60.0	
   800x600	  60.0	
   640x480	  60.0
Comment 8 Michael De La Rue 2008-01-21 15:38:38 EST
Created attachment 292412 [details]
Log file from running after generic-lcd configuration

Attached is the log file from running after configuring with generic-lcd /
1900x1200 and selecting 1900x1080 resolution.  This gives a config file
identical to the above except the following additions.	

15a16,23
> Section "Monitor"
>	Identifier   "Monitor0"
>	ModelName    "LCD Panel 1920x1200"
>	HorizSync    31.5 - 90.0
>	VertRefresh  59.9 - 60.1
>	Option	    "dpms"
> EndSection
> 
23a32
>	Monitor    "Monitor0"
Comment 9 Bug Zapper 2008-05-14 11:13:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2008-06-16 22:58:19 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.